%define drupaldir %{_datadir}/drupal6
Name:      drupal6-imagefield
Version:   3.9
Release:   1%{?dist}
Summary:   Provides an image upload field for CCK

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/imagefield
Source0:   http://ftp.drupal.org/files/projects/imagefield-6.x-%{version}.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, drupal6-cck, drupal6-filefield

%description
ImageField provides an image upload field for CCK.
ImageField is a CCK-based alternative to the legacy Image project.
It boasts features such as multiple images per node,
resolution restrictions, default images, and extensive Views support.

%prep
%setup -qn imagefield
chmod -x imagefield.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/imagefield
cp -pr * %{buildroot}%{drupaldir}/modules/imagefield

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt UPGRADE.txt
%dir %{drupaldir}/modules/imagefield
%{drupaldir}/modules/imagefield/imagefield*
%{drupaldir}/modules/imagefield/tests

%dir %{drupaldir}/modules/imagefield/translations
%{drupaldir}/modules/imagefield/translations/*.pot
%lang(cs) %{drupaldir}/modules/imagefield/translations/*cs.po
%lang(de) %{drupaldir}/modules/imagefield/translations/*de.po
%lang(es) %{drupaldir}/modules/imagefield/translations/*es.po
%lang(fr) %{drupaldir}/modules/imagefield/translations/*fr.po
%lang(hu) %{drupaldir}/modules/imagefield/translations/*hu.po
%lang(it) %{drupaldir}/modules/imagefield/translations/*it.po
%lang(ja) %{drupaldir}/modules/imagefield/translations/*ja.po
%lang(nl) %{drupaldir}/modules/imagefield/translations/*nl.po
%lang(pt-br) %{drupaldir}/modules/imagefield/translations/*pt-br.po
%lang(sv) %{drupaldir}/modules/imagefield/translations/*sv.po
%lang(uk-ua) %{drupaldir}/modules/imagefield/translations/*uk-ua.po
%lang(uk) %{drupaldir}/modules/imagefield/translations/*uk.po
%exclude %{drupaldir}/modules/imagefield/*.txt


%changelog
* Mon Jan 31 2011 Peter Borsa <peter.borsa@gmail.com> - 3.9-1
- Lang macro is added.
- New upstream version.

* Mon Jan 24 2011 Peter Borsa <peter.borsa@gmail.com> - 3.7-2
- Changed License to GPLv2+.
- Chmod and cp lines are copied under prep section.
- Fixed exclude lines.

* Thu Nov 22 2010 Peter Borsa <peter.borsa@gmail.com> - 3.7-1
- Initial packaging.
